| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
fsl_fusion_DeviceDescriptor_t Struct Reference
fsl_fusion_virt_3D_orient module documentation

`#include <fsl_fusion_virt_3D_orient.h>`

Collaboration diagram for fsl_fusion_DeviceDescriptor_t:

## Data Fields
event_t | sensorLWEvent
event_t | MagCalEventStruct
semaphore_t | deviceSemaphore
isf_timestamp_t | timestamp
int32 | sensorDataReady
fusion_state_t | fusionState

## Detailed Description

Definition at line 147 of file fsl_fusion_virt_3D_orient.h.

## Field Documentation

semaphore_t deviceSemaphore

Task synchronization mechanism for this data structure.

Definition at line 151 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_virt_3D_orient_Configure(), fsl_fusion_virt_3D_orient_EndData(), fsl_fusion_virt_3D_orient_Initialize(), and fsl_fusion_virt_3D_orient_StartData().

fusion_state_t fusionState

Definition at line 179 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_task(), fsl_fusion_virt_3D_orient_Initialize(), fsl_fusion_virt_3D_orient_PeriodicCallback(), and fsl_MagCal_task().

event_t MagCalEventStruct

Definition at line 150 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_virt_3D_orient_Initialize(), fsl_fusion_virt_3D_orient_PeriodicCallback(), and fsl_MagCal_task().

int32 sensorDataReady

Definition at line 178 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_virt_3D_orient_Initialize(), and fsl_fusion_virt_3D_orient_PeriodicCallback().

event_t sensorLWEvent

Definition at line 149 of file fsl_fusion_virt_3D_orient.h.

Referenced by fsl_fusion_task(), and fsl_fusion_virt_3D_orient_Initialize().

isf_timestamp_t timestamp

Definition at line 152 of file fsl_fusion_virt_3D_orient.h.

The documentation for this struct was generated from the following file:

- SensorSpecific/fsl_fusion_virt_3D_orient.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.